import { MouseEvent } from 'react';
import { AbstractCoreComponent, CoreComponentState } from "../../../AbstractCoreComponent";
import { RoutedCoreComponentModel } from "../../../routing/RoutedCoreComponent";
export interface ButtonV1Model extends RoutedCoreComponentModel {
    text?: string;
    link?: string;
    icon?: string;
    ariaLabel?: string;
    handleOnClick?(event: MouseEvent): void;
}
export declare function ButtonV1IsEmptyFn(props: ButtonV1Model): boolean;
export declare class ButtonV1<Model extends ButtonV1Model, State extends CoreComponentState> extends AbstractCoreComponent<Model, State> {
    static defaultProps: {
        isInEditor: boolean;
        hidePlaceHolder: boolean;
    };
    constructor(props: Model);
    handleOnClick(event: MouseEvent): void;
    getContent(): JSX.Element;
    isEmpty(): boolean;
    renderComponent(): JSX.Element;
    generateAttributes(isLink: boolean): any;
}
//# sourceMappingURL=ButtonV1.d.ts.map