import React, { MouseEvent } from 'react';
import { CoreComponentModel, CoreComponentState, AbstractCoreComponent } from "../../../AbstractCoreComponent";
export interface DownloadV1Model extends CoreComponentModel {
    url?: string;
    title: string;
    titleType: string;
    description?: string;
    actionText?: string;
    filename?: string;
    displaySize: boolean;
    displayFilename: boolean;
    displayFormat: boolean;
    format?: string;
    size?: string;
    extension?: string;
    handleOnClick?(event: MouseEvent): void;
}
export declare function DownloadV1IsEmptyFn(props: DownloadV1Model): boolean;
export declare class DownloadV1<Model extends DownloadV1Model, State extends CoreComponentState> extends AbstractCoreComponent<Model, State> {
    displayFileName: boolean;
    displaySize: boolean;
    displayFormat: boolean;
    static defaultProps: {
        isInEditor: boolean;
        hidePlaceHolder: boolean;
        titleType: string;
        displaySize: boolean;
        displayFormat: boolean;
        displayFilename: boolean;
    };
    constructor(props: Model);
    handleOnClick(event: MouseEvent): void;
    isEmpty(): boolean;
    renderHeadingContent(): JSX.Element;
    renderHeading(): React.ReactElement<{
        className: string;
    }, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
    renderDetails(): JSX.Element;
    renderComponent(): JSX.Element;
    renderDescription(): JSX.Element;
    renderDownloadLink(): JSX.Element;
    renderProperty(label: string, content: string | undefined, cssClassModifier: string): JSX.Element;
    getHref(): Model["url"];
}
//# sourceMappingURL=DownloadV1.d.ts.map