/// <reference types="react" />
import { AbstractCoreComponent, CoreComponentState } from "../../../AbstractCoreComponent";
import { RoutedCoreComponentModel } from "../../../routing/RoutedCoreComponent";
export interface TempImageComponentModel extends RoutedCoreComponentModel {
    src: string;
    alt: string;
    displayPopupTitle?: boolean;
    title?: string;
    link?: string;
}
export declare function ImageV2IsEmptyFn(props: TempImageComponentModel): boolean;
export declare class ImageV2<Model extends TempImageComponentModel, State extends CoreComponentState> extends AbstractCoreComponent<Model, State> {
    static defaultProps: {
        hidePlaceHolder: boolean;
        isInEditor: boolean;
    };
    constructor(props: Model);
    generateLink(): JSX.Element;
    getInnerContents(): JSX.Element;
    getContents(): JSX.Element;
    isEmpty(): boolean;
    renderComponent(): JSX.Element;
}
//# sourceMappingURL=ImageV2.d.ts.map