/// <reference types="react" />
import { AbstractCoreComponent, CoreComponentState } from "../../../AbstractCoreComponent";
import { RoutedCoreComponentModel, RoutedModel } from "../../../routing/RoutedCoreComponent";
export interface ListV2Item extends RoutedModel {
    url?: string;
    lastModified?: number;
    lastModifiedFormatted?: string;
    description?: string;
    path: string;
    title: string;
}
export interface ListV2Model extends RoutedCoreComponentModel {
    items: ListV2Item[];
    dateFormatString: string;
    showDescription: boolean;
    showModificationDate: boolean;
    linkItems: boolean;
}
export declare function ListV2IsEmptyFn(props: ListV2Model): boolean;
export declare class ListV2<Model extends ListV2Model, State extends CoreComponentState> extends AbstractCoreComponent<Model, State> {
    static defaultProps: {
        isInEditor: boolean;
        hidePlaceHolder: boolean;
    };
    constructor(props: Model);
    isEmpty(): boolean;
    renderListItemContent(item: ListV2Item, index: number): JSX.Element;
    renderItemModificationDate(item: ListV2Item, index: number): JSX.Element;
    renderListAnchor(item: ListV2Item, index: number): JSX.Element;
    renderListItemDescription(item: ListV2Item, index: number): JSX.Element;
    renderListItem(item: ListV2Item, index: number): JSX.Element;
    renderComponent(): JSX.Element;
}
//# sourceMappingURL=ListV2.d.ts.map