/// <reference types="react" />
import { AbstractCoreComponent, CoreComponentState } from "../../../AbstractCoreComponent";
import { RoutedCoreComponentModel, RoutedModel } from "../../../routing/RoutedCoreComponent";
export declare function TeaserV1IsEmptyFn(props: TeaserV1Model): boolean;
export interface TeaserV1Action extends RoutedModel {
    title: string;
    URL: string;
}
export interface TeaserV1Model extends RoutedCoreComponentModel {
    pretitle?: string;
    title?: string;
    description?: string;
    titleType: string;
    linkURL: string;
    actionsEnabled: boolean;
    imageLinkHidden: boolean;
    titleLinkHidden: boolean;
    actions: TeaserV1Action[];
    imagePath: string;
}
export declare class TeaserV1<Model extends TeaserV1Model, State extends CoreComponentState> extends AbstractCoreComponent<Model, State> {
    static defaultProps: {
        hidePlaceHolder: boolean;
        isInEditor: boolean;
    };
    constructor(props: Model);
    isEmpty(): boolean;
    get image(): JSX.Element;
    get pretitle(): JSX.Element | undefined;
    get title(): JSX.Element | undefined;
    get description(): JSX.Element | undefined;
    generateLink(action: TeaserV1Action, index: number): JSX.Element;
    get actions(): false | JSX.Element;
    renderComponent(): JSX.Element;
}
//# sourceMappingURL=TeaserV1.d.ts.map