/// <reference types="react" />
import { AbstractCoreComponent, CoreComponentState } from "../../../AbstractCoreComponent";
import { RoutedCoreComponentModel, RoutedModel } from "../../../routing/RoutedCoreComponent";
export interface BreadCrumbV2ItemModel extends RoutedModel {
    active: boolean;
    url: string;
    title: string;
}
export interface BreadCrumbV2Model extends RoutedCoreComponentModel {
    items: BreadCrumbV2ItemModel[];
    ariaLabelI18n: string;
}
export declare function BreadCrumbV2IsEmptyFn(props: BreadCrumbV2Model): boolean;
export declare class BreadCrumbV2<Model extends BreadCrumbV2Model, State extends CoreComponentState> extends AbstractCoreComponent<Model, State> {
    static defaultProps: {
        isInEditor: boolean;
        ariaLabelI18n: string;
        hidePlaceHolder: boolean;
    };
    constructor(props: Model);
    isEmpty(): boolean;
    renderBreadCrumbListItem(crumbItem: BreadCrumbV2ItemModel, index: number): JSX.Element;
    renderBreadCrumbLink(crumbItem: BreadCrumbV2ItemModel, index: number): JSX.Element;
    renderBreadCrumbSpan(crumbItem: BreadCrumbV2ItemModel, index: number): JSX.Element;
    renderComponent(): JSX.Element;
}
//# sourceMappingURL=BreadCrumbV2.d.ts.map