/// <reference types="react" />
import { CoreComponentState } from "../../../AbstractCoreComponent";
import { NavigationV1, NavigationV1Item, NavigationV1Model } from "../../navigation/v1/NavigationV1";
export interface LanguageNavigationV1Item extends NavigationV1Item {
    level: number;
    active: boolean;
    title: string;
    url: string;
    lastModified: number;
    description?: string;
    path: string;
    locale: string;
    country: string;
    language: string;
    children?: LanguageNavigationV1Item[];
}
export interface LanguageNavigationV1Model extends NavigationV1Model {
    items: LanguageNavigationV1Item[];
    accessibilityLabel?: string;
}
export declare function LanguageNavigationV1IsEmptyFn(props: LanguageNavigationV1Model): boolean;
export declare class LanguageNavigationV1<Model extends LanguageNavigationV1Model, State extends CoreComponentState> extends NavigationV1<Model, State> {
    navChildren: LanguageNavigationV1Item[];
    static defaultProps: {
        isInEditor: boolean;
        hidePlaceHolder: boolean;
        items: never[];
    };
    constructor(props: Model);
    renderLink(item: LanguageNavigationV1Item, isActive: boolean): JSX.Element;
    getExtraNavItemCssClss(item: LanguageNavigationV1Item, index: number): string;
}
//# sourceMappingURL=LanguageNavigationV1.d.ts.map