/// <reference types="react" />
import { AbstractCoreComponent, CoreComponentState } from "../../../AbstractCoreComponent";
import { RoutedCoreComponentModel, RoutedModel } from "../../../routing/RoutedCoreComponent";
export interface NavigationV1Item extends RoutedModel {
    level: number;
    active: boolean;
    title: string;
    url: string;
    lastModified: number;
    description?: string;
    path: string;
    children?: NavigationV1Item[];
}
export interface NavigationV1Model extends RoutedCoreComponentModel {
    items: NavigationV1Item[];
    accessibilityLabel?: string;
}
export declare function NavigationV1IsEmptyFn(props: NavigationV1Model): boolean;
export declare class NavigationV1<Model extends NavigationV1Model, State extends CoreComponentState> extends AbstractCoreComponent<Model, State> {
    static defaultProps: {
        isInEditor: boolean;
        hidePlaceHolder: boolean;
        items: never[];
    };
    constructor(props: Model);
    isEmpty(): boolean;
    determineIsActive(item: NavigationV1Item): boolean;
    renderComponent(): JSX.Element;
    renderGroup(item: NavigationV1Item): JSX.Element;
    renderLink(item: NavigationV1Item, isActive: boolean): JSX.Element;
    renderNavItem(item: NavigationV1Item, index: number): JSX.Element;
    getExtraNavItemCssClss(item: NavigationV1Item, index: number): string;
}
//# sourceMappingURL=NavigationV1.d.ts.map